Debian Bug report logs - #509400
installation-reports: optical drive not detected (Lite-On 20X LightScribe)

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: mcclosk@ucsc.edu

Date: Sun, 21 Dec 2008 23:54:02 UTC

Severity: normal

Done: Miguel Figueiredo <elmig@debianpt.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#509400; Package installation-reports. (Sun, 21 Dec 2008 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to mcclosk@ucsc.edu:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 21 Dec 2008 23:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jim McCloskey <mcclosk@ucsc.edu>
To: submit@bugs.debian.org
Subject: installation-reports: optical drive not detected (Lite-On 20X LightScribe)
Date: Sun, 21 Dec 2008 15:52:05 -0800
Package: installation-reports

Boot method: CD
Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso
               
Date: Dec 20th--21st

Machine: customized P4500A from Polywell COmputers Inc. 
Processor: Intel Core 2 Duo E8500 3.16GHz
Memory:  2x DDR2 800MHz 2GB PC6400 Unbuffered Memory
Partitions: not yet partitioned

Output of lspci -knn (or lspci -nn): 
00:00.0 Host bridge [0600]: Intel Corporation 4 Series Chipset DRAM Controller [8086:2e20] (rev 03)
00:01.0 PCI bridge [0604]: Intel Corporation 4 Series Chipset PCI Express Root Port [8086:2e21] (rev 03)
	Kernel driver in use: pcieport-driver
00:1a.0 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4 [8086:3a37]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd
00:1a.1 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5 [8086:3a38]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd
00:1a.2 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6 [8086:3a39]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd
00:1a.7 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2 [8086:3a3c]
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd
00:1b.0 Audio device [0403]: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller [8086:3a3e]
00:1c.0 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 1 [8086:3a40]
	Kernel driver in use: pcieport-driver
00:1c.4 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 5 [8086:3a48]
	Kernel driver in use: pcieport-driver
00:1c.5 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 6 [8086:3a4a]
	Kernel driver in use: pcieport-driver
00:1d.0 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1 [8086:3a34]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd
00:1d.1 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2 [8086:3a35]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd
00:1d.2 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3 [8086:3a36]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd
00:1d.7 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1 [8086:3a3a]
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 90)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller [8086:3a16]
00:1f.2 IDE interface [0101]: Intel Corporation 82801JI (ICH10 Family) 4 port SATA IDE Controller [8086:3a20]
	Kernel driver in use: ata_piix
	Kernel modules: ata_piix
00:1f.3 SMBus [0c05]: Intel Corporation 82801JI (ICH10 Family) SMBus Controller [8086:3a30]
00:1f.5 IDE interface [0101]: Intel Corporation 82801JI (ICH10 Family) 2 port SATA IDE Controller [8086:3a26]
	Kernel driver in use: ata_piix
	Kernel modules: ata_piix
01:00.0 VGA compatible controller [0300]: nVidia Corporation Quadro FX 1700 [10de:040f] (rev a1)
02:00.0 Ethernet controller [0200]: Attansic Technology Corp. L1 Gigabit Ethernet Adapter [1969:1026] (rev b0)
03:00.0 IDE interface [0101]: Marvell Technology Group Ltd. 88SE6121 SATA II Controller [11ab:6121] (rev b2)
	Kernel driver in use: ahci
	Kernel modules: ahci, pata_marvell
05:00.0 Multimedia audio controller [0401]: VIA Technologies Inc. ICE1712 [Envy24] PCI Multi-Channel I/O Controller [1412:1712] (rev 02)
05:01.0 Multimedia audio controller [0401]: Cirrus Logic CS 4614/22/24/30 [CrystalClear SoundFusion Audio Accelerator] [1013:6003] (rev 01)
05:03.0 FireWire (IEEE 1394) [0c00]: Agere Systems FW323 [11c1:5811] (rev 70)
	Kernel driver in use: ohci1394
	Kernel modules: ohci1394

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [ ]
Configure network:      [ ]
Detect CD:              [E]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

The optical dtrive is:

DVDRW/CD/DVD:Lite-On 20X LightScribe DVD+/-RW Dual-Layer IDE

which is identified in the BIOS as: IDE:ATAPI DVD A DH20A4P

I've tried the install with the i386 daily build of December 18th and also with the amd64 
Lenny beta 2 image of August 29th 2008. The latter was used for a problem-free installation 
in September. In each case, the system boots with no problem from the installation CD and we
get as far as the initial few screens of the installation process. It fails, though, to detect 
the optical drive. 

The system has no OS installed but was tested with a SUSE live CD before delivery. I haven't 
found any other reports of problems with this drive under linux. Further, I was able to boot from an
Ubuntu 8.04 live CD; that went fine---the CD-ROM was detected and the file-system on it was mounted.  
So I don't believe that there is a problem with the hardware.

I was able to switch to a console, mount a thumb-drive, and copy /var/syslog to that. The crucial part, I 
assume, is this:

Dec 21 14:44:21 main-menu[1539]: INFO: Menu item 'cdrom-detect' selected
Dec 21 14:44:21 net/hw-detect.hotplug: Detected hotpluggable network interface lo
Dec 21 14:44:21 net/hw-detect.hotplug: Detected hotpluggable network interface lo
Dec 21 14:44:21 hw-detect: ISA bus detected; loading module 'ide-generic'
Dec 21 14:44:21 kernel: [   10.141436] Uniform Multi-Platform E-IDE driver
Dec 21 14:44:21 kernel: [   10.141439] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
Dec 21 14:44:21 kernel: [   10.141802] ide_generic: please use "probe_mask=0x3f" module parameter for probing all legacy ISA IDE ports
Dec 21 14:44:21 kernel: [   10.141807] Probing IDE interface ide0...
Dec 21 14:44:21 hw-detect: insmod /lib/modules/2.6.26-1-486/kernel/drivers/ide/ide-core.ko 
Dec 21 14:44:21 hw-detect: insmod /lib/modules/2.6.26-1-486/kernel/drivers/ide/ide-generic.ko 
Dec 21 14:44:22 kernel: [   10.704024] Probing IDE interface ide1...
Dec 21 14:44:22 kernel: [   11.264029] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Dec 21 14:44:22 kernel: [   11.264040] ide1 at 0x170-0x177,0x376 on irq 15
Dec 21 14:44:23 net/hw-detect.hotplug: Detected hotpluggable network interface lo
Dec 21 14:44:23 hw-detect: insmod /lib/modules/2.6.26-1-486/kernel/drivers/ieee1394/sbp2.ko 
Dec 21 14:44:23 hw-detect: Loading PCMCIA bridge driver module: i82365
Dec 21 14:44:23 kernel: [   11.546965] Intel ISA PCIC probe: not found.
Dec 21 14:44:23 hw-detect: FATAL: Error inserting i82365 (/lib/modules/2.6.26-1-486/kernel/drivers/pcmcia/i82365.ko): No such device
Dec 21 14:44:23 apt-install: Queueing package udev for later installation
Dec 21 14:44:23 apt-install: Queueing package usbutils for later installation
Dec 21 14:44:23 apt-install: Queueing package acpi for later installation
Dec 21 14:44:23 apt-install: Queueing package acpid for later installation
Dec 21 14:44:23 apt-install: Queueing package acpi-support-base for later installation
Dec 21 14:44:23 apt-install: Queueing package libc6-i686 for later installation
Dec 21 14:44:23 hw-detect: Missing modules 'eth1394 (FireWire ethernet)
Dec 21 14:44:24 check-missing-firmware: no missing firmware in /tmp/missing-firmware
Dec 21 14:44:24 net/hw-detect.hotplug: Detected hotpluggable network interface lo
Dec 21 14:44:24 cdrom-detect: Searching for Debian installation media...
Dec 21 14:44:30 init: init: starting pid 1519, tty '/dev/tty2': '-/bin/sh'
Dec 21 14:45:52 cdrom-detect: CDROM-detect failed; unmounting CD just to be sure
Dec 21 14:45:52 main-menu[1539]: WARNING **: Configuring 'cdrom-detect' failed with error code 1
Dec 21 14:45:52 main-menu[1539]: WARNING **: Menu item 'cdrom-detect' failed.

I tried loading the ide_generic module with the parameter suggested ("probe_mask=0x3f") but that
made no difference.

Thanks for any help. I really want Debian on this machine.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#509400; Package installation-reports. (Mon, 22 Dec 2008 07:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 22 Dec 2008 07:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 509400@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: mcclosk@ucsc.edu, 509400@bugs.debian.org
Subject: Re: Bug#509400: installation-reports: optical drive not detected (Lite-On 20X LightScribe)
Date: Mon, 22 Dec 2008 07:23:21 +0100
[Message part 1 (text/plain, inline)]
Quoting Jim McCloskey (mcclosk@ucsc.edu):
> Package: installation-reports
> 
> Boot method: CD
> Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso
>                
> Date: Dec 20th--21st
> 
> Machine: customized P4500A from Polywell COmputers Inc. 
> Processor: Intel Core 2 Duo E8500 3.16GHz
> Memory:  2x DDR2 800MHz 2GB PC6400 Unbuffered Memory
> Partitions: not yet partitioned
> 
> Output of lspci -knn (or lspci -nn): 
> 00:00.0 Host bridge [0600]: Intel Corporation 4 Series Chipset DRAM Controller [8086:2e20] (rev 03)
> 00:01.0 PCI bridge [0604]: Intel Corporation 4 Series Chipset PCI Express Root Port [8086:2e21] (rev 03)
> 	Kernel driver in use: pcieport-driver
> 00:1a.0 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4 [8086:3a37]
> 	Kernel driver in use: uhci_hcd
> 	Kernel modules: uhci-hcd
> 00:1a.1 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5 [8086:3a38]
> 	Kernel driver in use: uhci_hcd
> 	Kernel modules: uhci-hcd
> 00:1a.2 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6 [8086:3a39]
> 	Kernel driver in use: uhci_hcd
> 	Kernel modules: uhci-hcd
> 00:1a.7 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2 [8086:3a3c]
> 	Kernel driver in use: ehci_hcd
> 	Kernel modules: ehci-hcd
> 00:1b.0 Audio device [0403]: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller [8086:3a3e]
> 00:1c.0 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 1 [8086:3a40]
> 	Kernel driver in use: pcieport-driver
> 00:1c.4 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 5 [8086:3a48]
> 	Kernel driver in use: pcieport-driver
> 00:1c.5 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 6 [8086:3a4a]
> 	Kernel driver in use: pcieport-driver
> 00:1d.0 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1 [8086:3a34]
> 	Kernel driver in use: uhci_hcd
> 	Kernel modules: uhci-hcd
> 00:1d.1 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2 [8086:3a35]
> 	Kernel driver in use: uhci_hcd
> 	Kernel modules: uhci-hcd
> 00:1d.2 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3 [8086:3a36]
> 	Kernel driver in use: uhci_hcd
> 	Kernel modules: uhci-hcd
> 00:1d.7 USB Controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1 [8086:3a3a]
> 	Kernel driver in use: ehci_hcd
> 	Kernel modules: ehci-hcd
> 00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 90)
> 00:1f.0 ISA bridge [0601]: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller [8086:3a16]
> 00:1f.2 IDE interface [0101]: Intel Corporation 82801JI (ICH10 Family) 4 port SATA IDE Controller [8086:3a20]
> 	Kernel driver in use: ata_piix
> 	Kernel modules: ata_piix
> 00:1f.3 SMBus [0c05]: Intel Corporation 82801JI (ICH10 Family) SMBus Controller [8086:3a30]
> 00:1f.5 IDE interface [0101]: Intel Corporation 82801JI (ICH10 Family) 2 port SATA IDE Controller [8086:3a26]
> 	Kernel driver in use: ata_piix
> 	Kernel modules: ata_piix
> 01:00.0 VGA compatible controller [0300]: nVidia Corporation Quadro FX 1700 [10de:040f] (rev a1)
> 02:00.0 Ethernet controller [0200]: Attansic Technology Corp. L1 Gigabit Ethernet Adapter [1969:1026] (rev b0)
> 03:00.0 IDE interface [0101]: Marvell Technology Group Ltd. 88SE6121 SATA II Controller [11ab:6121] (rev b2)
> 	Kernel driver in use: ahci
> 	Kernel modules: ahci, pata_marvell
> 05:00.0 Multimedia audio controller [0401]: VIA Technologies Inc. ICE1712 [Envy24] PCI Multi-Channel I/O Controller [1412:1712] (rev 02)
> 05:01.0 Multimedia audio controller [0401]: Cirrus Logic CS 4614/22/24/30 [CrystalClear SoundFusion Audio Accelerator] [1013:6003] (rev 01)
> 05:03.0 FireWire (IEEE 1394) [0c00]: Agere Systems FW323 [11c1:5811] (rev 70)
> 	Kernel driver in use: ohci1394
> 	Kernel modules: ohci1394
> 
> Base System Installation Checklist:
> [O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it
> 
> Initial boot:           [O]
> Detect network card:    [ ]
> Configure network:      [ ]
> Detect CD:              [E]
> Load installer modules: [ ]
> Detect hard drives:     [ ]
> Partition hard drives:  [ ]
> Install base system:    [ ]
> Clock/timezone setup:   [ ]
> User/password setup:    [ ]
> Install tasks:          [ ]
> Install boot loader:    [ ]
> Overall install:        [ ]
> 
> Comments/Problems:
> 
> The optical dtrive is:
> 
> DVDRW/CD/DVD:Lite-On 20X LightScribe DVD+/-RW Dual-Layer IDE
> 
> which is identified in the BIOS as: IDE:ATAPI DVD A DH20A4P
> 
> I've tried the install with the i386 daily build of December 18th and also with the amd64 
> Lenny beta 2 image of August 29th 2008. The latter was used for a problem-free installation 
> in September. In each case, the system boots with no problem from the installation CD and we
> get as far as the initial few screens of the installation process. It fails, though, to detect 
> the optical drive. 

This is probably the following problem, listed in the errata file:

        Due to a pata_marwell module not begin properly autoloaded
        on i386 and amd64 media,
        peripherals driven by Marvell disk controllers are not detected. If
        IDE is used in legacy mode with these controllers, switch to
        console 2 when the installer boots (Alt+F2) and
        run 'modprobe -r ahci; modprobe pata_marvel; modprobe ahci' before
        continuing.


Could you do two testsĀ ?

1) try with the same image, then follow the above instructions (switch
to VT2 when the installer boots and run the magic commands) and
check if the CD is detected later on.

2) download the *netboot* image of the daily builds. I really mean
*netboot*. Not netinst. This is a very small ISO image (8MB). With
that image, which has the latest kernel package from unstable, that
problem should not happen

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#509400; Package installation-reports. (Tue, 23 Dec 2008 07:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim McCloskey <mcclosk@ucsc.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 23 Dec 2008 07:30:04 GMT) Full text and rfc822 format available.

Message #15 received at 509400@bugs.debian.org (full text, mbox):

From: Jim McCloskey <mcclosk@ucsc.edu>
To: Christian Perrier <bubulle@debian.org>
Cc: 509400@bugs.debian.org
Subject: Re: Bug#509400: installation-reports: optical drive not detected (Lite-On 20X LightScribe)
Date: Mon, 22 Dec 2008 23:26:06 -0800
* Christian Perrier (bubulle@debian.org) wrote:

  |>  Quoting Jim McCloskey (mcclosk@ucsc.edu):
  |>  > Package: installation-reports
  |>  > 
  |>  > Boot method: CD
  |>  > Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso
  |>  >                
  |>  > Date: Dec 20th--21st

  |>  This is probably the following problem, listed in the errata file:
  |>  
  |>          Due to a pata_marwell module not begin properly autoloaded
  |>          on i386 and amd64 media,
  |>          peripherals driven by Marvell disk controllers are not detected. If
  |>          IDE is used in legacy mode with these controllers, switch to
  |>          console 2 when the installer boots (Alt+F2) and
  |>          run 'modprobe -r ahci; modprobe pata_marvel; modprobe ahci' before
  |>          continuing.
  |>  
  |>  
  |>  Could you do two testsĀ ?
  |>  
  |>  1) try with the same image, then follow the above instructions (switch
  |>  to VT2 when the installer boots and run the magic commands) and
  |>  check if the CD is detected later on.

This did indeed fix the problem. Thank you. 

  |>  2) download the *netboot* image of the daily builds. I really mean
  |>  *netboot*. Not netinst. This is a very small ISO image (8MB). With
  |>  that image, which has the latest kernel package from unstable, that
  |>  problem should not happen

I will try this when the current install finishes (I want to re-do the
partition scheme in any case).

Thanks very much to all who helped (the installation has now completed
without problem),

Jim





Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Fri, 28 Jan 2011 22:09:08 GMT) Full text and rfc822 format available.

Notification sent to mcclosk@ucsc.edu:
Bug acknowledged by developer. (Fri, 28 Jan 2011 22:09:08 GMT) Full text and rfc822 format available.

Message #20 received at 509400-done@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 509400-done@bugs.debian.org
Date: Fri, 28 Jan 2011 22:06:27 +0000
Closing the report as this was already fixed with the newer kernel.

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Feb 2011 07:30:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:55:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.